#pragma config OSC = HS
#pragma config WDT = OFF
#pragma config LVP = OFF, XINST = OFF 

#include <p18cxxx.h>
#include "h/GLCD.h"

const rom unsigned char Logo[];
const rom unsigned char FUTURA_SCIENCES[];

unsigned char i;


void PutBars(unsigned char x,unsigned char y,unsigned char Percent)
{
unsigned char i;
        for(i=(100-Percent)/10;i<10;i++){
            vline(x+i,x+10,y+2*i);
        }            
}



void main(void)
{
	char ret,i;
	// disable AD converter and set up Port A as digital I/O
	ADCON0bits.ADON = 0;
	ADCON1 = 0b00001111;
	TRISA = 0x00;		// port A is output for LED tests
	TRISC = 0x00;
	TRISB = 0x00;
	
	Init_GLCD();
  	

//GLCD_Write_Data(0x0D);
//ret=GLCD_Read_Data();
//if(ret!=0x0D)
//{//ERROR INPUT DOESNT MATCH OUTPUT
//LED1 = 0;
//LED2 = 1;
//}    
//else
//{//Data OK!
//LED1 = 1;
//LED2 = 0;
//}



//				SetPos(0,0);								// Positionner le curseur
//				PutLogo((rom char*)FUTURA_SCIENCES);		// Afficher une image (logiciel BitMapToLCD pour la conversion)

				SetPos(0,0);								// Positionner le curseur
				PutLogo((rom char*)Logo);					// Afficher une image (logiciel BitMapToLCD pour la conversion)


//				vline (62,30,60);							// Raliser une ligne verticale 	( cartement depuis bord gauche, debut ligne Y , fin ligne Y )
//				vline (12,30,60);							// Raliser une ligne verticale 	( cartement depuis bord gauche, debut ligne Y , fin ligne Y )
//		vline (116,30,60);									// Raliser une ligne verticale 	( cartement depuis bord gauche, debut ligne Y , fin ligne Y )

//hline(20,108,25) ;										// Raliser une ligne horizontale   ( dbut ligne X, fin de ligne X, cartement depuis le haut de l'ecran )
//plot ( 62,32);

while(1);
}







const rom unsigned char Logo[]={
	20,21,					// width,height
    0x00,0x06,0x00,0x60,	// raster data - no padding.
    0x00,0x40,0x2F,0x00,
    0xFC,0x03,0x80,0x1F,
    0x00,0xF8,0x01,0x92,
    0x9F,0xF4,0xFB,0xFD,
    0xFE,0xFF,0xE7,0xFF,
    0x7F,0xFF,0xFF,0xEF,
    0xFF,0x7F,0xFC,0xFF,
    0x83,0xFF,0x1F,0xF0,
    0xFF,0x00,0xFE,0x07,
    0xF0,0xFF,0x00,0x60,
    0x00,0x00,0x06,0x00,
    0x60,0x00,0x00,0x06,
	0x00
};


const rom unsigned char FUTURA_SCIENCES[]={
 128 /*width */,
 64 /* height */,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x40 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x40 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x20 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x30 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x30 , 0x00 , 0x00 , 0x00 , 0x00 , 0xF0 , 0x3F,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x18 , 0x7C , 0x00 , 0x00 , 0x00 , 0xF8 , 0x1F,
 0x00 , 0x38 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x18 , 0xFE , 0x01 , 0x00 , 0x00 , 0x38 , 0x00,
 0x00 , 0x38 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x1C , 0xFF , 0x07 , 0x00 , 0x00 , 0x38 , 0x00,
 0x00 , 0x38 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x8C , 0xFF , 0x0F , 0x00 , 0x00 , 0x1C , 0xE0,
 0x38 , 0xFE , 0x8E , 0xE3 , 0xEC , 0x0F , 0x00 , 0x00,
 0x00 , 0x8E , 0xFF , 0x3F , 0x00 , 0x00 , 0xFC , 0xEF,
 0x38 , 0xFE , 0x8E , 0xE3 , 0xEF , 0x0F , 0x00 , 0x00,
 0x00 , 0x8F , 0xFF , 0x7F , 0x00 , 0x00 , 0xFC , 0xEF,
 0x38 , 0x1C , 0x8E , 0xE3 , 0x2F , 0x0E , 0x00 , 0x00,
 0x00 , 0x8F , 0xFF , 0xFF , 0x00 , 0x00 , 0x0E , 0x70,
 0x1C , 0x0E , 0xC7 , 0x71 , 0x00 , 0x0E , 0x00 , 0x00,
 0x80 , 0x87 , 0xFF , 0xFF , 0x01 , 0x00 , 0x0E , 0x70,
 0x1C , 0x0E , 0xC7 , 0x71 , 0xE0 , 0x0F , 0x00 , 0x00,
 0x80 , 0x87 , 0xFF , 0xFF , 0x01 , 0x00 , 0x0E , 0x70,
 0x1C , 0x0E , 0xC7 , 0x71 , 0xF8 , 0x0F , 0x00 , 0x00,
 0x80 , 0x87 , 0xFF , 0xFF , 0x03 , 0x00 , 0x07 , 0x38,
 0x0E , 0x87 , 0xE3 , 0x38 , 0x1C , 0x07 , 0x00 , 0x00,
 0xC0 , 0x87 , 0xFF , 0xFF , 0x07 , 0x00 , 0x07 , 0xF8,
 0x0F , 0x87 , 0xFF , 0x38 , 0x1C , 0x07 , 0x00 , 0x00,
 0xC0 , 0x87 , 0xFF , 0xFF , 0x07 , 0x00 , 0x07 , 0xF8,
 0x0F , 0xBF , 0xFF , 0x38 , 0xFC , 0x07 , 0x00 , 0x00,
 0xE0 , 0x87 , 0xFF , 0xFF , 0x0F , 0x80 , 0x03 , 0x78,
 0x07 , 0x9F , 0x77 , 0x1C , 0xBC , 0x03 , 0x00 , 0x00,
 0xE0 , 0x87 , 0xFF , 0xFF , 0x0F , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0xF0 , 0x87 , 0xFF , 0xFF , 0x1F , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0xF0 , 0x87 , 0xFF , 0xFF , 0x1F , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0xF0 , 0x87 , 0xFF , 0xFF , 0x3F , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0xF8 , 0x87 , 0x1F , 0xF0 , 0x3F , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0xF8 , 0x87 , 0x0F , 0xE0 , 0x7F , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0xF8 , 0x8F , 0x07 , 0xC0 , 0x7F , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0xF8 , 0x8F , 0x03 , 0x80 , 0x7F , 0x00 , 0xF8 , 0x01,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0xF8 , 0x1F , 0x01 , 0x00 , 0xFF , 0x00 , 0xFE , 0x01,
 0xC0 , 0x01 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0xFC , 0x3F , 0x00 , 0x00 , 0xFE , 0x00 , 0x87 , 0x01,
 0xC0 , 0x01 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0xFC , 0x7F , 0x00 , 0x00 , 0xFC , 0x00 , 0x07 , 0x01,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0xFC , 0xFF , 0x00 , 0x00 , 0xFC , 0x81 , 0x03 , 0xE0,
 0xE3 , 0xE0 , 0xC3 , 0x3D , 0xF0 , 0xC1 , 0x07 , 0x3F,
 0xFC , 0xFF , 0x03 , 0x00 , 0xF8 , 0x81 , 0x1F , 0xF8,
 0xE7 , 0xF8 , 0xC7 , 0x3F , 0xFC , 0xF3 , 0x8F , 0x7F,
 0xFC , 0xFF , 0x7F , 0x1C , 0xF0 , 0x81 , 0x7F , 0x3C,
 0xE6 , 0x1C , 0xC7 , 0x3F , 0x1E , 0x3B , 0xCE , 0x61,
 0xFC , 0xFF , 0xFF , 0x0F , 0xE0 , 0x03 , 0xFF , 0x0E,
 0x72 , 0x0E , 0xE7 , 0x38 , 0x07 , 0x1D , 0xEE , 0x01,
 0xFC , 0xFF , 0xFF , 0x07 , 0xE0 , 0x03 , 0xFC , 0x0E,
 0x70 , 0xFE , 0xE7 , 0x38 , 0x07 , 0xFC , 0xEF , 0x0F,
 0xF8 , 0xFF , 0xFF , 0x03 , 0xC0 , 0x03 , 0xF0 , 0x0E,
 0x70 , 0xFE , 0xE7 , 0x38 , 0x07 , 0xFC , 0xCF , 0x1F,
 0xF8 , 0xFF , 0xFF , 0x00 , 0x80 , 0x27 , 0x70 , 0x07,
 0x39 , 0x07 , 0x70 , 0x9C , 0x83 , 0x0E , 0x00 , 0x1C,
 0xF8 , 0xFF , 0x3F , 0x00 , 0x80 , 0x67 , 0x38 , 0x8F,
 0x39 , 0x0F , 0x72 , 0x9C , 0xC7 , 0x1E , 0x14 , 0x1C,
 0xF0 , 0xFF , 0x0F , 0x00 , 0x00 , 0xE7 , 0x1F , 0xFE,
 0x39 , 0xFE , 0x73 , 0x1C , 0xFF , 0xFC , 0xF7 , 0x0F,
 0xE0 , 0xFF , 0x03 , 0x00 , 0x00 , 0xE6 , 0x07 , 0x7C,
 0x1C , 0xFC , 0x39 , 0x0E , 0x3E , 0xF8 , 0xF3 , 0x03,
 0xE0 , 0x7F , 0x00 , 0x00 , 0x00 , 0x0E , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x80 , 0x0F , 0x00 , 0x00 , 0x00 , 0x0C , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x08 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x08 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x10 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x10 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x06 , 0x00 , 0x00 , 0x00 , 0x06 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x01 , 0x00 , 0x00 , 0x00 , 0x01 , 0x04 , 0x00 , 0x00,
 0x00 , 0x10 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x01 , 0x00 , 0x00 , 0x00 , 0x01 , 0x04 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0xE7 , 0x54 , 0x74 , 0x03 , 0x17 , 0x5D , 0x54 , 0x0E,
 0x38 , 0x97 , 0xF3 , 0x38 , 0xC7 , 0x81 , 0x73 , 0x6E,
 0x11 , 0x4D , 0x94 , 0x04 , 0x11 , 0x45 , 0x34 , 0x10,
 0x84 , 0x50 , 0x14 , 0x85 , 0x28 , 0x40 , 0x88 , 0x92,
 0x11 , 0x45 , 0x94 , 0x04 , 0x11 , 0x45 , 0x14 , 0xDE,
 0x8D , 0xD0 , 0x17 , 0x85 , 0x6F , 0x40 , 0x88 , 0x92,
 0x11 , 0x45 , 0x94 , 0x04 , 0x11 , 0x45 , 0x14 , 0x11,
 0xB0 , 0x50 , 0x10 , 0x85 , 0x80 , 0x41 , 0x88 , 0x92,
 0x11 , 0x45 , 0x94 , 0x24 , 0x11 , 0x45 , 0x14 , 0x11,
 0xA0 , 0x50 , 0x14 , 0x85 , 0x08 , 0x49 , 0x88 , 0x92,
 0xE1 , 0x84 , 0x97 , 0x24 , 0xE1 , 0x99 , 0x17 , 0x1E,
 0x1C , 0x97 , 0x13 , 0x39 , 0xE7 , 0x88 , 0x73 , 0x92,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00,
 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00 , 0x00
};
